diff --git a/hubs/tests/vcr-request-data/hubs.tests.test_widgets.test_halp.HalpViewsTestCase.test_search_meetingname b/hubs/tests/vcr-request-data/hubs.tests.test_widgets.test_halp.HalpViewsTestCase.test_search_meetingname
new file mode 100644
index 0000000..07ed82f
--- /dev/null
+++ b/hubs/tests/vcr-request-data/hubs.tests.test_widgets.test_halp.HalpViewsTestCase.test_search_meetingname
@@ -0,0 +1,98 @@
+interactions:
+- request:
+    body: null
+    headers:
+      Accept: ['*/*']
+      Accept-Encoding: ['gzip, deflate']
+      Connection: [keep-alive]
+      User-Agent: [python-requests/2.13.0]
+    method: GET
+    uri: https://apps.fedoraproject.org/datagrepper/raw?topic=org.fedoraproject.prod.meetbot.meeting.item.help&delta=864000
+  response:
+    body:
+      string: !!binary |
+        H4sIAAAAAAAAA+2b+4+qypbH/xXj/HJv9rbl6WMn94dGQUXF5lUo0zedgkJBngK2j5v9v88CtR/7
+        9jmTM3MmOZmYdNJUQa1aa7Gq/HwF/9XE+WYfe0lZNH/8q+ni0tukeeBB6z//+b3ppkmJg+TaIl5U
+        4uaPXoejKOqB+t70EtL8QXN9iqFpttOrujZ5us886F7jqPC+N2OvGlKNTtLy5Vf7VV+G3RBvPvaU
+        aRa4H9r7wsuvzTQnXt78Aa4UbvN78/PYDA7Bn+/NPD0UL5mXv1x6GP57syhxXlbO9vos1706+zYR
+        2N08rD2S5jjL063nlg/wnzzEnlc6aVn/D5LNQ1B68YPvRVkTpntz62eVqH0C5vmLE8XFC3x4ib2i
+        uDoI2fXyMlgHVRIghJlOlTOdHmgmkY1AGGpINnXTllVKMrX6HFUOQlrWTYRwqAxVg9A2JbG6KQs2
+        FQ1VlHKE0jTLzGbPiUNnMh7bWyOUNM20B6YpsTYjCZ6odFQzG9gUb6mhZCNRKlCkTg0knQmlwGj4
+        Q5KsLcnUoKWOhiTlOVENbawaEtJMmTNMHzmmfbYiUjixJGrIV9QIXc8rqWH2dQfZ+WqrTPFjJmuh
+        zK+28sGRwrO59MXnxAulhRqTBQplwaW1gYOywgrdI+QR5hMU1RCu1iSYjeDaWuQvnJDWFmMimigS
+        B5GtmUtBek4InZXgi05G89OK9ac4lHKwnruWn2PT5clZGKi0JCFqddLiMkDMkTYrq1I2Xiwj2xLf
+        /XtOzKU5rTyHuQaK5ItINA+GqdmE6pv6MlK0kXswkP1qiZqpG4KiSRFrxJnsmbRonwUFxX3IM6rz
+        DHn7mOnHTHAk2/y9TP9enp+T38r0IJ6c9dj/t0z/Xp7B2tJW1POHTFv0dk7brI3IlMTacG5MphYi
+        3Bxlprr0504ov9qmJhOUlQjyOKeydEX5cK1UPicozkL1jJgVQ2898dhRl9o1ciVHYrY3ttJWHx0z
+        yK1GHrOwisyWCCIUbShL4usjwhsjur4rz8mv98Vcomq+vYEUuBOZUNX4xwrHlDzCIy0dRNl4vhQC
+        aF9qIlbANy0hW8eIjtCzmIvHEqxjL1QGTpIJRignmJVSzERQDe5BvawXQTX7AxxJAmGIjan51KYj
+        CbJQPCeuxesOK0SQo7k96KteKE90WpstkCLBWtxh6+i7lLRww2g0p5QBjmWGxKW0WAqci/w9+ITN
+        mJ6pZvT0nMwfszkxhEAfkmBGExPHfmiL6mlGIUkzy6M9QjIKo6keSyYWj5qDtLGeCKw1ilRbnB8X
+        hv2ExxmrSf4RVr2UIWzaoTlUdoOQZNpQ4m20Oqus8oqHmqWEvmwlEYcoumNTWjpHaDQ3bH/KiCfV
+        EGl9pOynZyKs2AhWFuw8LFSGsDL7sLvYW8hFolV7hSnlGiUekaVJhJaG0BYIdax2HltHmayiKFAk
+        KdFMfgA2lvqotJ4TPJqfMashR+QHsIeFzkguUQL3WZKhKpWB9phhS0wPK0SwK4UnbStg2J3CSwX7
+        miKikU1LyEGPNFgblLYjHmVFyuTp2RfnFs3pI8myRPsI0bPga4hMIkCE4SCMWJOSO0hUBp7VF5Al
+        HtRYzM0wkjGy95C3iETIXPGmGYUqU9AzCiqA8ZOVJeWwaypgzYe7P4QVNb2tKAupU9U6WkikNZcl
+        w2pXQpGkPScQHauHfc0LkWaYIlXnykQDT6QnyKJHLp0tnRHvayJaGaaMrueHWKSfoDIsfMjq1QW7
+        /wB2S2tyckdHe05LnDa+VKwR2QN1qZhqfFkx82UGFY1UmO1wtQY7ED22KmuMvDJiXjENn31OBqF2
+        23kOsPPA3potzUTbzmOF0+NMgJXzy3pQNA3B3hpWezApCJLA6hFr54h/TizkDy7+HaaWASvbqnYi
+        PrGZUlCGkmCjyWEh+RNMIxZmszXJ1uejI/hOWBVWlm6WrGXKA/hIm0C9LYkMOyNb+7cV1Hotwq5Z
+        7aeXyBTDNYmhwyyaJElqKGsIak8RyUA1Q95ORNirZRlb0QJ2JNHPjVh7nYuZaCztVwNFHVUvRXsI
+        EY4FAapiOKX9eHVWoA6l3DiTJRGLsxpGHORtZmz9FG+VhR1qOfgWyVtYTUP1/MitwjmtU/ZCo4i+
+        ijUD0VFpGNpktZRULLlTnRUyvJUHbqQsYRUL7lZCCpJi5xzZniiZ8ClDh5RDaba53JzmI/FkDs2T
+        Lh6hMoSzI0WDGYtW5lnZayNJxkm0h6o20CZbuazwpFsl8h7TmgdmJoJItcFv0MLmH/94TgCLguaP
+        bq8L8FVsKqrDZQmk5nk14mm49HGSABUBoujpvvS9PHkZAQFGXlxzi5uSNPGiCC7hAPo2QRSnORBL
+        F86RyPNjnFQg9b25PnhBXOEYYM92neZONQPTg0YRB6UPFwFjbQ8OdMJBiCPvFQ6/N6Mg2R/jlNQo
+        B+0YHCQwd4erjo84DqIoSGESGBWHaVRPyAILBnkQwmwVzm1wFOFNNQcLV51TApgGjU7FYj4O8s+x
+        lvne+xjKpf3m87V59fraqvy+HF49vzQ+OXjpuvp1abx7VrUv7iSQTiC+/7gQZutKk82KqAGvo9pX
+        SEpFhc/NcXpolGnDS7ATeY0yD+JGmjRO6T5v6PqwQfLg1XtuNg7pPiINx2vgxiZNSUOqbTfmeIPP
+        YKoBuBu4kdes0+0le8gv1+lUzrrg6y3nwMBwC18uYNztshzHPlA/K2yvXbygOFwuifpg0fgbQ9Hd
+        FsW26O7fYWh6SGoYfwv5StRVqHSn12tMEjeNs8grvcbfEgii9ADDIaq/NwaQFMDiRrpuSEwHBu7z
+        KkN+WWbFj3b7xt2fkRwgvf05he13h+BM4aYP7x0tuvNAUc2f9TJ4CUCSNOuTa67jdZg+3yJ9j2lx
+        fb7f6hGn32JdZg0pwH0GVw4VwSbB5b6qliahJ5JYziLF/kaZmTwozElXWA1Pw72nl7afOrtj3A/W
+        DnVcp739NOh0908TfkgZ3WI55Ka91Zndu+yU0VYhbHs9j2wW5WNPk5eUdOjH5nbtjx+1/cm05LzN
+        b/rwmZVpJE7XHWwtk/bZm8+MCT85j0N+sQMmxfqTqeeyMhKXz4lvzvbZ41HV/Zw7uOrQsM3LJlBA
+        xbjeS4LjOgRc4iSNq+X6duoV9Etdxk3qofPAX4sBblGcfS6I9/v6h3XSz+933XPXPXfdc9c9d91z
+        1z133XPXPf/Huoftfa17MMHxoZYUTknVcgL+k7RMgmSL6/53eQAnt+H+Ija4qxSgK/QPog2uT98k
+        S6VQHFAy+8thcI5T8OFNEtBM9YVwDkx+UTNZjl/rr9Op6uvhhKRx9SXypZk6J7Kv2LxuFH5Qz/ku
+        JzrVl9gA70V5HXFkYepTfeKmf7qf5M815Isu+RTtb+iha8w3oXOJ9ta6BHxtXWO+ti5hfyGG3mK/
+        Nm/hX5ofM3DteUvCrV3n4Stl9Skbl45bQv474dVivpRehu+BfMrD+hrQKjhuHHBSFpUaw0XYALXY
+        qJi2sc7TuKFnEMn3xgw7RUOfjIoGBNMYitcGDMnSbB8B8jZAYTdKHIWV1SwNaos+Li+29vW18du0
+        mZdmn1UbTbFvqu16hz6ptk6fqR9nfKXamE7jMcp83NA8TMBgUTTmb+LzJt/ejV6HvSXhf6zLWsy7
+        Muu010ynhSs3WvnNjduF73qt06L7X+o1l3F4CnepFsuSdYtjXarlcDzd6vdJl2J6bI9w/V/02mve
+        Pjk82+uI08ECnR07OI7K2ZN/KENjzu/O4crWZL1Ql5POTOtKWVvbn2lVz8jT3Dcek+3r4lu6Mskm
+        nrWN50T0GW6bm95Y7eibkxJI4aiTa/7+qK9Zj9W5Mn/cjLmztnxyH9f56zdh8RqxjzLXbwerR3Hs
+        vMqbJxSKTxuvoz4nk11OWcu9LRbKxMpnux3z+KfptVsp3PXaXa/d9dpdr9312l2v3fXaXa/9hfUa
+        2+G/1msCPtZoD+pmEOEK60BLLfTJHBdFxUAgsgDYb1cBIrvHXX2N7wUkqN4Dgiv89IBzsq7PX49f
+        6ka4L4oY76NaYwFql7u95yUvmyABxcNd5M7Ly0s9/W6PKxoFXZn76QngvHrelWdBeHnZqCjTxDtd
+        Of3SeKkvKTHIkzStnSqLi5w7hWFt/ybYuE+C7eb69bHTm483vXOZ6At5kxYFAzLq1ftS2HxSE73u
+        m5q4GvykJnia4ZmvnwE9LXRdbEy0wU1DNOgH5uNjoDdz1wFXyvwjKuItkHf9wLUz6PVegtx9ubkE
+        E78rB65Fd79UDvTapalup9vqdnvdFsd7GEQDCAnXxYzreg7sUeyvT3o8U3jd7lZbKy3SHrUx1uMR
+        FGVhrlypGIUngcqSseFrwxV6TdKDsozb4igYh1tesc+JLsBaEmJG2TgamVW4oE3WfTPz5YW3Pyj0
+        aoU4ahDqpdFxdKNPTWjTE3NHiiXsznT4GOI2mhj01knBq3P30fPzrTfmu0tH68JyiqdwDo/WrErx
+        JEZbzvnznvTcbvtdOdyVw1053JXDXTnclcNdOdyVw19YOTC/9YYbwdDHVu+kOWnu4aTP1vC+9fEh
+        9IpDmtevplXPeMqKoPNLIwnKc4z9tCLm6g2zG6F/fqOstn19WvJu/drxaYJr322K28OR90n+HeNx
+        UgRO5P3u+2GfWL569e3K8h8sf+J5jqc5qvslz1tBQtJD0bDSvH42Map+uvGB5z+bvA5iHtgGcGO5
+        L/4A1v8S2Ee2P1yceDlcnHipfz/yke2rX5p8wfYM9miGo6gWhwmwPe6wrZ6H2VbfYfs032WoPuX9
+        wvZa2pbLRWDPIvjY3C1lwVmeV+dpnlg7h6LLYb8vnZaZv5t1+vNi6hssvWPOZTRnaV+OQ2fmlk6+
+        tPempigAkHE5nOKEGayQfZrxB91TdCflvtGDV8oiiyN1DIWjfPIj3nts+98OrrJLy+H5tUz6PfOk
+        HgRntQ44WZ1hwwd0IaXjhHMNPqKdp0fHbp889U9j+1sJ3Nn+zvZ3tr+z/Z3t72x/Z/s72/+l2Z7+
+        HbbvfYLv7q/kzX/Abv4zc1c/TvmLgv0hKP1GkAC3RREQXQPA+CUugsbr5bACtL1bfsR/vv/+XtCb
+        y7/AP8Wy1P8/+He6xOt5HtPyWI5ucazTa/X5HtMiPbrvrRmaZ2jyC/xvrB0T7dUFElbT0VZ8Qkdv
+        3p91ume0bbcVuvdUzna9/jI+m6/yeNIPlPNRMePFxCmGg6cyl+RsQsvtNWf2i/lzUiylpzFarpVv
+        gQlANNHFbLhadWa+MtxNdcnGst1xObI5nKyn9vCUmR2Fa7OJTEdKe3dky3Z7SxK3tzsFR1hf8166
+        7ztBLO9HWWgyVk8o/kT4v5TA/wb+/1kNhrqEkvv5X6HFLz4xQAAA
+    headers:
+      appserver: [proxy04.fedoraproject.org]
+      apptime: [D=621781]
+      connection: [Keep-Alive]
+      content-encoding: [gzip]
+      content-length: ['4029']
+      content-type: [application/json]
+      date: ['Wed, 22 Mar 2017 19:36:08 GMT']
+      keep-alive: ['timeout=15, max=500']
+      server: [Apache/2.4.6 (Red Hat Enterprise Linux) mod_wsgi/3.4 Python/2.7.5]
+      strict-transport-security: [max-age=15768000; includeSubDomains; preload]
+      vary: [Accept-Encoding]
+    status: {code: 200, message: OK}
+version: 1
diff --git a/hubs/tests/vcr-request-data/hubs.tests.test_widgets.test_halp.HalpViewsTestCase.test_search_people b/hubs/tests/vcr-request-data/hubs.tests.test_widgets.test_halp.HalpViewsTestCase.test_search_people
new file mode 100644
index 0000000..d3b8371
--- /dev/null
+++ b/hubs/tests/vcr-request-data/hubs.tests.test_widgets.test_halp.HalpViewsTestCase.test_search_people
@@ -0,0 +1,98 @@
+interactions:
+- request:
+    body: null
+    headers:
+      Accept: ['*/*']
+      Accept-Encoding: ['gzip, deflate']
+      Connection: [keep-alive]
+      User-Agent: [python-requests/2.13.0]
+    method: GET
+    uri: https://apps.fedoraproject.org/datagrepper/raw?topic=org.fedoraproject.prod.meetbot.meeting.item.help&delta=864000
+  response:
+    body:
+      string: !!binary |
+        H4sIAAAAAAAAA+2baY/qSpKG/wpivnTrHAqvgI/UH8pgAwZMeUuDp1ql9AI2XvFSLK3z3ydsoJbT
+        de/oztyRrkZIJZUz7YyMCEcmz4vNv9o431axl5RF+8e/2g4uvW2aBx60/vOf39tOmpQ4SK4t14tK
+        3P4x6DEEQTwQ39te4rZ/kAxHUCTBUUzdtc3TKvOge4Ojwvvejr16SD06ScuXX+3XfRl2Qrz92FOm
+        WeB8aFeFl1+bae56efsHuFI47e/tz2MzOAR/vrfz9FC8ZF7+cumh2O/tosR5WTs74Gimd3X2bSKw
+        u33YeG6a4yxPd55TPsB/9yH2vNJOy+Z/kGwfgtKLH3wvytow3ZtbP+tEVQmYZy9OFBcv8OEl9ori
+        6iBk18vLYBPUSYAQ5hpRzjVyqBqupAf8SEWSoRmWpBCioTbniHIYkpJmIIRDeaToLmkRIq0ZEm8R
+        0UhBKeMSqmoa2fw5sclMwhNrp4eiqhrW0DBE2qJE3hPknmJkQ4tgTSUULSSIBYqUmY7Es0vIMBr+
+        kCipK3emk2JPRaL8nCi6OlF0EamGxOiGj2zDOpuRW9ixKKjIl5UIXc/LqW5wmo2sfL2TZ/gxk9RQ
+        Ytc76WCL4dlY+cJz4oXiUondJQol3iHVoY2ywgydI+QR5uNlReev1kSYzcWNtchf2iGpLieuYKBI
+        GEaWaqx48TlxyawEXzR3vDitaX+GQzEH67lj+jk2HNY980OFFEVErE9qXAaIOpJGbVXMJstVZJnC
+        u3/PibEyZrXnMNdQFn0BCcZBN1TLJThDW0WyOnYOOrJeTUE1NJ2XVTGi9TiTPIMUrDMvo5iDPKMm
+        z5C3j5l+zHhbtIzfy/Tv5fk5+a1MD+PpWYv9f8v07+UZrK0sWTl/yLRJ7hakRVvInbmxOlro05mJ
+        XGaBMkNZ+Qs7lF4tQ5VclJUI8rggsnRN+HCtWD4nKM5C5YyoNUXuPOHYU1bqNXI5R0JW6Ttxp42P
+        GeRWdR+zsI7MEl3kEqQur1xfG7usPiabu/Kc/HpfjBWq56t0JMOdyPi6xj9WOCakMR6r6TDKJosV
+        H0D7UhOxDL6pibuz9egIPcuFcCzBOvZCeWgnGa+HUoJpMcVUBNXgHJTLeuEVgxviSORdyrUwsZhZ
+        ZCRCFornxDFZzab5CHK0sIac4oXSVCPV+RLJIqzFPTaPvkOISyeMxgtCHuJYoty4FJcrnnGQX4FP
+        2IjJuWJET8/J4jFbuDofaCM3mJOugWM/tATlNCeQqBrl0RojCYXRTItFAwtH1UbqREt42hxHiiUs
+        jkvdesKTjFZF/wirXswQNqzQGMn7Yehm6khkLbQ+K7T8ikeqKYe+ZCYRgwiyZxFqukBovNAtf0YJ
+        J0UXSG0sV7Ozy6/pCFYW7Dw0VAa/NjjYXawd5CJR673CEHOVEI7IVEWXFEfQ5l3iWO88loYySUFR
+        IItiohrsEGystHFpPid4vDhjWkW2wA5hDwvtsVSiBO6zKEFVykP1McOmkB7WyMWOGJ7UHY9hdwov
+        FeyrsoDGFikiGz2SYG1YWrZwlGQxk2ZnX1iYJKONRdMUrCNET4OvITJcHiIMh2FEG4TUQ4I89EyO
+        R6ZwUGIhN8JIwsiqIG+RGyFjzRpGFCpUQc4JqADKT9ammMOuKYM1H+7+CFbU7LaiTKTMFPNoIoFU
+        Hdod1bsSikT1OYHoaC3kVC9Eqm4IRJMrAw09gZwikxw7ZLayx6yvCmitGxK6nh9hgXyCyjDxIWtW
+        F+z+Q9gtzenJGR+tBSky6uRSsXpkDZWVbCjxZcUsVhlUNFJgtsPVGuxA5MSsrVHSWo9Z2dB9+jkZ
+        hupt5znAzgN7a7YyEnW3iGVGizMeVs4v60FWVQR7a1jvwW7hIhGsHrF6jtjnxET+8OLfYWbqsLLN
+        eidiE4sqeXkk8haaHpaiP8UkomE2SxUtbTE+gu8urcDK0oySNg1pCB9pU6i3lSvBzkg3/u14pVmL
+        sGvW++klMll3DFfXYBZVFEUllFQEtScL7lAxQtZKBNirJQmb0RJ2JMHP9Vh9XQiZoK+sVx1FPUUr
+        BWsEEU54HqpiNCP9eH2WoQ7FXD+7K1cozkoYMZC3ub7zU7yTl1ao5uBbJO1gNY2U8yOzDhekRlhL
+        lXC1dazqiIxKXVen65WoYNGZaTSf4Z00dCJ5BauYd3YikpEY2+fI8gTRgE8ZMiRsQrWM1fa0GAsn
+        Y2ScNOEIlcGfbTEazmm0Ns5ypY5FCSdRBVWto222dmj+STNL5D2mDQ/MDQSRqsPfoIXtP/7xnAAW
+        Be0f/UEf4KvY1lSHyxJIzfMaxFNx6eMkASoCRNHSqvS9PHkZAwFGXtxwi5O6aeJFEVzCAPRtgyhO
+        cyCWPpxzI8+PcVKD1Pf25uAFcY1jgD27TZrb9QzUABpFHJQ+XASMtTvY0AkHIY68Vzj83o6CpDrG
+        qdugHLRjcNCFuXtMfXzEcRBFQQqTwKg4TKNmQhpYMMiDEGarcW6Lowhv6zlouOqcuoBp0OjVLObj
+        IP8ca5lX3sdQLu03n6/Nq9fXVu335fDq+aXxycFL19WvS+Pds7p9cSeBdALx/ceFMDtXmmzXRA14
+        HTW+QlJqKnxuT9JDq0xbXoLtyGuVeRC30qR1Squ8pWmjlpsHr95zu3VIq8ht2V4Lt7Zp6rbExnZr
+        gbf4DKZagLuBE3ntJt1eUkF+mV6vdtYBX285BwaGW/hyAeN+n2YY+oH4WWN74+IFxeFyUdCGy9bf
+        KILsdwi6Q/b/DkPTQ9LA+FvIV6KuQyV7g0FrmjhpnEVe6bX+lkAQpQcYDlH9vTWEpAAWt9JNS6R6
+        MLDK6wz5ZZkVP7rdG3d/RnKA9O7nFHbfHYIzhZM+vHd0yN4DQbR/NsvgJQBJ0m5Obpie16M4tuNy
+        HtVhOJbrDFyb69AOtYEUYI7CtUNFsE1wWdXV0nbJqSiU80i2vhFGJg0LY9rn16PTqPK00vJTe3+M
+        uWBjE8dNOqhmQa9fPU3ZEaH3i9WImQ3WZ7py6BmlrkPY9gaeu12WjwNVWhHigYuN3cafPKrVyTCl
+        vMtuOfjMylQ3Tjc9bK6S7tlbzPUpOz1PQna5BybF2pOh5ZI8FlbPiW/Mq+zxqGh+zhwcZaRbxmUT
+        KKBiHO8lwXETAi5xksb1cn079Qr6pSnjNvHQe2CvxQC3KM4+F8T7ff3DOunn97vuueueu+656567
+        7rnrnrvuueue/2PdQw++1j3YxfGhkRR2STRyAv67aZkEyQ43/e/yAE7uwuoiNpirFCBr9A+iLW5O
+        3yRLrVBsUDLV5TA4xyn48CYJSKr+QjgHJr+omSzHr83X6UT99XDipnH9JfKlmdont6rZvGkUftDM
+        +S4nevWX2ADvRXkdcaRh6lNz4qZ/+p/kzzXkiy75FO1v6KFrzDehc4n21roEfG1dY762LmF/IYbe
+        Yr82b+Ffmh8zcO15S8Kt3eThK2X1KRuXjltC/jvh1aG+lF6674F8ysPmGtAqOG4dcFIWtRrDRdgC
+        tdiqmba1ydO4pWUQyffWHNtFS5uOixYE0xoJ1wYMydKsigB5W6CwWyWOwtpqlgaNRR+XF1tVc238
+        Nm3mpdln1UYS9Jtqu96hT6qtx1F0b/C1aqN6rcco83FL9bALBouitXgTnzf59m70OuwtCf9jXdah
+        3pVZr7uheh1cu9HJb27cLnzXa70OyX2p1xzKZgncJzo07W46DO0QHZthyQ7HuX2CGtADl+F+0Wuv
+        efdks/SgJ8yGS3S2reA4LudP/qEM9QW7P4drS5W0QllNe3O1L2ZdtTqTipa5Twtff0x2r8tv6dpw
+        t/G8qz8ngk8xu9zwJkpP257kQAzHvVz1q6O2oT1aY8r8cTthzurqyXnc5K/f+OVrRD9KDNcN1o/C
+        xH6Vtk8oFJ62Xk95Tqb7nDBXlSUU8tTM5/s99fin6bVbKdz12l2v3fXaXa/d9dpdr9312l2v/YX1
+        Gt1jv9ZrPD42aA/qZhjhGutASy216QIXRc1AILIA2G9XASI7x31zje8FblC/BwRX+OkB5+6mOX89
+        fmkaYVUUMa6iRmMBapf7yvOSl22QgOJhLnLn5eWlmX5f4ZpGQVfmfnoCOK+fd+VZEF5eNirKNPFO
+        V06/NF6aS0oM8iRNG6fK4iLnTmHY2L8JNuaTYLu5fn3s9ObjTe9cJvpC3qRFQYGMevW+FDaf1MSg
+        /6YmrgY/qQmWpFjq62dAT0tNE1pTdXjTEC3ygfr4GOjN3HXAlTL/iIp4C+RdPzDdDHq9lyB3Xm4u
+        wcTvyoHpkP0vlQO5cUii3+t3+v1Bv8OwHgbRAELCcTDlOJ4NexT965Mez+Bfd/v1zkyLdEBs9c1k
+        DEVZGGtHLMbhiSeyZKL76miNXpP0IK/irjAOJuGOla1zovGwlviYkre26s5rXFCnG87IfGnpVQeZ
+        XK8RQwxDrdR7tqZzxJQ0PCG3xVjEzlyDjyFmqwrBYJMUrLJwHj0/33kTtr+y1T4sp3gG5/B4QysE
+        68Zox9h/3pOe222/K4e7crgrh7tyuCuHu3K4K4e7cvgLKwfqt95wczH00fU7aXaaezjh6Abedz4+
+        hF5xSPPm1bT6GU9ZE3R+aSRBeY6xn9bEXL9hdiP0z2+UNbavT0verV87Pk1w7btNcXs48j7Jv2M8
+        TorAjrzffT/sE8vXr75dWf6D5U88z7AkQ/S/5HkzSNz0ULTMNG+eTYzrn2584PnPJq+DqAe6BdxY
+        VsUfwPpfAvvI9oeLEy+HixMvze9HPrJ9/UuTL9iewh5JMQTRYbALbI97dGfgYbrD2TRHsn2K4Ajv
+        F7ZX065ULgNrHsHH5n4l8fbqvD7P8sTc2wRZjjhOPK0yfz/vcYti5us0uafOZbSgSV+KQ3vulHa+
+        sipDlWUAyLgczXBCDdfIOs3Zg+bJmp0y38jhK2G6yyNxDPmjdPIj1nvs+t8OjrxPy9H5tUy4gXFS
+        Dry93gSMpMyx7gO6uKVthwsVPqLtp0fb6p485U9j+1sJ3Nn+zvZ3tr+z/Z3t72x/Z/s72/+l2Z78
+        HbYffILv/q/kzX7AbvYzc9c/TvmLgv0hKP1WkAC3RREQXQvA+CUugtbr5bAGtMopP+I/y72/F/Tm
+        8i/wT9A08f8P/u2+6w08j+p4NEN2GNoedDh2QHXcAcl5G4pkKdL9Bf635p6KKmWJ+PVsvBOe0NFb
+        cPNe/4x23a5MDp7K+X7AreKz8SpNplwgn4+yES+ndjEaPpW5KGVTUupuGIMrFs9JsRKfJmi1kb8F
+        BgDRVBOy0Xrdm/vyaD/TRAtLVs9h3O3hZD51R6fM6MlMl04kMpK7+yNddrs7N3EG+1NwhPW1GKQV
+        ZwexVI2z0KDMAV/8ifB/KYH/Dfz/sx4MdQkl9/O/AOUN9aQxQAAA
+    headers:
+      appserver: [proxy06.fedoraproject.org]
+      apptime: [D=474498]
+      connection: [Keep-Alive]
+      content-encoding: [gzip]
+      content-length: ['4029']
+      content-type: [application/json]
+      date: ['Wed, 22 Mar 2017 19:28:44 GMT']
+      keep-alive: ['timeout=15, max=500']
+      server: [Apache/2.4.6 (Red Hat Enterprise Linux) mod_wsgi/3.4 Python/2.7.5]
+      strict-transport-security: [max-age=15768000; includeSubDomains; preload]
+      vary: [Accept-Encoding]
+    status: {code: 200, message: OK}
+version: 1
diff --git a/hubs/tests/vcr-request-data/hubs.tests.test_widgets.test_halp.HalpViewsTestCase.test_search_requesters b/hubs/tests/vcr-request-data/hubs.tests.test_widgets.test_halp.HalpViewsTestCase.test_search_requesters
new file mode 100644
index 0000000..cd075ec
--- /dev/null
+++ b/hubs/tests/vcr-request-data/hubs.tests.test_widgets.test_halp.HalpViewsTestCase.test_search_requesters
@@ -0,0 +1,194 @@
+interactions:
+- request:
+    body: null
+    headers:
+      Accept: ['*/*']
+      Accept-Encoding: ['gzip, deflate']
+      Connection: [keep-alive]
+      User-Agent: [python-requests/2.13.0]
+    method: GET
+    uri: https://apps.fedoraproject.org/datagrepper/raw?topic=org.fedoraproject.prod.meetbot.meeting.item.help&delta=864000
+  response:
+    body:
+      string: !!binary |
+        H4sIAAAAAAAAA+2baY/qSpKG/wpivnTrHAqvgI/UH8pgAwZMeUuDp1ql9AI2XvFSLK3z3ydsoJbT
+        de/oztyRrkZIJZUz7YyMCEcmz4vNv9o431axl5RF+8e/2g4uvW2aBx60/vOf39tOmpQ4SK4t14tK
+        3P4x6DEEQTwQ39te4rZ/kAxHUBTZ58i6a5unVeZB9wZHhfe9HXv1kHp0kpYvv9qv+zLshHj7sadM
+        s8D50K4KL78209z18vYPcKVw2t/bn8dmcAj+fG/n6aF4ybz85dJDsd/bRYnzsnZ2wNFs/+rs20Rg
+        d/uw8dw0x1me7jynfID/7kPseaWdls3/INk+BKUXP/helLVhuje3ftaJqhIwz16cKC5e4MNL7BXF
+        1UHIrpeXwSaokwAhzDWinGvkUDVcSQ/4kYokQzMsSSFEQ23OEeUwJCXNQAiH8kjRXdIiRFozJN4i
+        opGCUsYlVNU0svlzYpOZhCfWTg9FVTWsoWGItEWJvCfIPcXIhhbBmkooWkgQCxQpMx2JZ5eQYTT8
+        IVFSV+5MJ8WeikT5OVF0daLoIlINidENH9mGdTYjt7BjUVCRLysRup6XU93gNBtZ+Xonz/BjJqmh
+        xK530sEWw7Ox8oXnxAvFpRK7SxRKvEOqQxtlhRk6R8gjzMfLis5frYkwm4sba5G/tENSXU5cwUCR
+        MIws1Vjx4nPiklkJvmjueHFa0/4Mh2IO1nPH9HNsOKx75ocKKYqIWJ/UuAwQdSSN2qqYTZaryDKF
+        d/+eE2NlzGrPYa6hLPoCEoyDbqiWS3CGtopkdewcdGS9moJqaDovq2JE63EmeQYpWGdeRjEHeUZN
+        niFvHzP9mPG2aBm/l+nfy/Nz8luZHsbTsxb7/5bp38szWFtZsnL+kGmT3C1Ii7aQO3NjdbTQpzMT
+        ucwCZYay8hd2KL1ahiq5KCsR5HFBZOma8OFasXxOUJyFyhlRa4rcecKxp6zUa+RyjoSs0nfiThsf
+        M8it6j5mYR2ZJbrIJUhdXrm+NnZZfUw2d+U5+fW+GCtUz1fpSIY7kfF1jX+scExIYzxW02GUTRYr
+        PoD2pSZiGXxTE3dn69ERepYL4ViCdeyF8tBOMl4PpQTTYoqpCKrBOSiX9cIrBjfEkci7lGthYjGz
+        yEiELBTPiWOymk3zEeRoYQ05xQulqUaq8yWSRViLe2wefYcQl04YjReEPMSxRLlxKS5XPOMgvwKf
+        sBGTc8WInp6TxWO2cHU+0EZuMCddA8d+aAnKaU4gUTXKozVGEgqjmRaLBhaOqo3UiZbwtDmOFEtY
+        HJe69YQnGa2K/hFWvZghbFihMZL3w9DN1JHIWmh9Vmj5FY9UUw59yUwiBhFkzyLUdIHQeKFb/owS
+        TooukNpYrmZnl1/TEaws2HloqAx+bXCwu1g7yEWi1nuFIeYqIRyRqYouKY6gzbvEsd55LA1lkoKi
+        QBbFRDXYIdhYaePSfE7weHHGtIpsgR3CHhbaY6lECdxnUYKqlIfqY4ZNIT2skYsdMTypOx7D7hRe
+        KthXZQGNLVJENnokwdqwtGzhKMliJs3OvrAwSUYbi6YpWEeIngZfQ2S4PEQYDsOINgiphwR56Jkc
+        j0zhoMRCboSRhJFVQd4iN0LGmjWMKFSogpwTUAGUn6xNMYddUwZrPtz9Eayo2W1FmUiZKebRRAKp
+        OrQ7qnclFInqcwLR0VrIqV6IVN0QiCZXBhp6AjlFJjl2yGxlj1lfFdBaNyR0PT/CAvkElWHiQ9as
+        Ltj9h7BbmtOTMz5aC1Jk1MmlYvXIGior2VDiy4pZrDKoaKTAbIerNdiByIlZW6OktR6zsqH79HMy
+        DNXbznOAnQf21mxlJOpuEcuMFmc8rJxf1oOsqgj21rDeg93CRSJYPWL1HLHPiYn84cW/w8zUYWWb
+        9U7EJhZV8vJI5C00PSxFf4pJRMNslipa2mJ8BN9dWoGVpRklbRrSED7SplBvK1eCnZFu/NvxSrMW
+        Ydes99NLZLLuGK6uwSyqKIpKKKkIak8W3KFihKyVCLBXSxI2oyXsSIKf67H6uhAyQV9ZrzqKeopW
+        CtYIIpzwPFTFaEb68fosQx2KuX52V65QnJUwYiBvc33np3gnL61QzcG3SNrBahop50dmHS5IjbCW
+        KuFq61jVERmVuq5O1ytRwaIz02g+wztp6ETyClYx7+xEJCMxts+R5QmiAZ8yZEjYhGoZq+1pMRZO
+        xsg4acIRKoM/22I0nNNobZzlSh2LEk6iCqpaR9ts7dD8k2aWyHtMGx6YGwgiVYe/QQvbf/zjOQEs
+        Cto/+oM+wFexrakOlyWQmuc1iKfi0sdJAlQEiKKlVel7efIyBgKMvLjhFid108SLIriEAejbBlGc
+        5kAsfTjnRp4f46QGqe/tzcEL4hrHAHt2mzS36xmoATSKOCh9uAgYa3ewoRMOQhx5r3D4vR0FSXWM
+        U7dBOWjH4KALc/eY+viI4yCKghQmgVFxmEbNhDSwYJAHIcxW49wWRxHe1nPQcNU5dQHToNGrWczH
+        Qf451jKvvI+hXNpvPl+bV6+vrdrvy+HV80vjk4OXrqtfl8a7Z3X74k4C6QTi+48LYXauNNmuiRrw
+        Omp8haTUVPjcnqSHVpm2vATbkdcq8yBupUnrlFZ5S9NGLTcPXr3nduuQVpHbsr0Wbm3T1G2Jje3W
+        Am/xGUy1AHcDJ/LaTbq9pIL8Mr1e7awDvt5yDgwMt/DlAsb9Ps0w9APxs8b2xsULisPloqANl62/
+        UQTZ7xB0h+z/HYamh6SB8beQr0Rdh0r2BoPWNHHSOIu80mv9LYEgSg8wHKL6e2sISQEsbqWblkj1
+        YGCV1xnyyzIrfnS7N+7+jOQA6d3PKey+OwRnCid9eO/okL0Hgmj/bJbBSwCSpN2c3DA9r0dxbMfl
+        PKrDcCzXGbg216EdagMpwByFa4eKYJvgsqqrpe2SU1Eo55FsfSOMTBoWxrTPr0enUeVppeWn9v4Y
+        c8HGJo6bdFDNgl6/epqyI0LvF6sRMxusz3Tl0DNKXYew7Q08d7ssHweqtCLEAxcbu40/eVSrk2FK
+        eZfdcvCZlalunG562Fwl3bO3mOtTdnqehOxyD0yKtSdDyyV5LKyeE9+YV9njUdH8nDk4yki3jMsm
+        UEDFON5LguMmBFziJI3r5fp26hX0S1PGbeKh98BeiwFuUZx9Loj3+/qHddLP73fdc9c9d91z1z13
+        3XPXPXfdc9c9/8e6hx58rXuwi+NDIynskmjkBPx30zIJkh1u+t/lAZzchdVFbDBXKUDW6B9EW9yc
+        vkmWWqHYoGSqy2FwjlPw4U0SkFT9hXAOTH5RM1mOX5uv04n66+HETeP6S+RLM7VPblWzedMo/KCZ
+        811O9OovsQHei/I64kjD1KfmxE3/9D/Jn2vIF13yKdrf0EPXmG9C5xLtrXUJ+Nq6xnxtXcL+Qgy9
+        xX5t3sK/ND9m4NrzloRbu8nDV8rqUzYuHbeE/HfCq0N9Kb103wP5lIfNNaBVcNw64KQsajWGi7AF
+        arFVM21rk6dxS8sgku+tObaLljYdFy0IpjUSrg0YkqVZFQHytkBht0ochbXVLA0aiz4uL7aq5tr4
+        bdrMS7PPqo0k6DfVdr1Dn1Rbj6Po3uBr1Ub1Wo9R5uOW6mEXDBZFa/EmPm/y7d3oddhbEv7HuqxD
+        vSuzXndD9Tq4dqOT39y4Xfiu13odkvtSrzmUzRK4T3Ro2t10GNohOjbDkh2Oc/sENaAHLsP9otde
+        8+7JZulBT5gNl+hsW8FxXM6f/EMZ6gt2fw7XlipphbKa9uZqX8y6anUmFS1znxa+/pjsXpff0rXh
+        buN5V39OBJ9idrnhTZSetj3JgRiOe7nqV0dtQ3u0xpT543bCnNXVk/O4yV+/8cvXiH6UGK4brB+F
+        if0qbZ9QKDxtvZ7ynEz3OWGuKkso5KmZz/d76vFP02u3Urjrtbteu+u1u16767W7Xrvrtbte+wvr
+        NbrHfq3XeHxs0B7UzTDCNdaBllpq0wUuipqBQGQBsN+uAkR2jvvmGt8L3KB+Dwiu8NMDzt1Nc/56
+        /NI0wqooYlxFjcYC1C73leclL9sgAcXDXOTOy8tLM/2+wjWNgq7M/fQEcF4/78qzILy8bFSUaeKd
+        rpx+abw0l5QY5EmaNk6VxUXOncKwsX8TbMwnwXZz/frY6c3Hm965TPSFvEmLggIZ9ep9KWw+qYlB
+        /01NXA1+UhMsSbHU18+AnpaaJrSm6vCmIVrkA/XxMdCbueuAK2X+ERXxFsi7fmC6GfR6L0HuvNxc
+        gonflQPTIftfKgdy45BEv9fv9PuDfodhPQyiAYSE42DKcTwb9ij61yc9nsG/7vbrnZkW6YDY6pvJ
+        GIqyMNaOWIzDE09kyUT31dEavSbpQV7FXWEcTMIdK1vnRONhLfExJW9t1Z3XuKBON5yR+dLSqw4y
+        uV4jhhiGWqn3bE3niClpeEJui7GInbkGH0PMVhWCwSYpWGXhPHp+vvMmbH9lq31YTvEMzuHxhlYI
+        1o3RjrH/vCc9t9t+Vw535XBXDnflcFcOd+VwVw535fAXVg7Ub73h5mLoo+t30uw093DC0Q2873x8
+        CL3ikObNq2n1M56yJuj80kiC8hxjP62JuX7D7Ebon98oa2xfn5a8W792fJrg2neb4vZw5H2Sf8d4
+        nBSBHXm/+37YJ5avX327svwHy594nmFJhuh/yfNmkLjpoWiZad48mxjXP934wPOfTV4HUQ90C7ix
+        rIo/gPW/BPaR7Q8XJ14OFydemt+PfGT7+pcmX7A9hT2SYgiiw2AX2B736M7Aw3SHs2mOZPsUwRHe
+        L2yvpl2pXAbWPIKPzf1K4u3VeX2e5Ym5twmyHHGceFpl/n7e4xbFzNdpck+dy2hBk74Uh/bcKe18
+        ZVWGKssAkHE5muGEGq6RdZqzB82TNTtlvpHDV8J0l0fiGPJH6eRHrPfY9b8dHHmflqPza5lwA+Ok
+        HHh7vQkYSZlj3Qd0cUvbDhcqfETbT4+21T15yp/G9rcSuLP9ne3vbH9n+zvb39n+zvZ3tv9Lsz35
+        O2w/+ATf/V/Jm/2A3exn5q5/nPIXBftDUPqtIAFuiyIguhaA8UtcBK3Xy2ENaJVTfsR/lnt/L+jN
+        5V/gn6Bp4v8f/Nt91xt4HtXxaIbsMLQ96HDsgOq4A5LzNhTJUqT7C/xvzT0VVcoS8evZeCc8oaO3
+        4Oa9/hntul2ZHDyV8/2AW8Vn41WaTLlAPh9lI15O7WI0fCpzUcqmpNTdMAZXLJ6TYiU+TdBqI38L
+        DACiqSZko/W6N/fl0X6miRaWrJ7DuNvDyXzqjk6Z0ZOZLp1IZCR390e67HZ3buIM9qfgCOtrMUgr
+        zg5iqRpnoUGZA774E+H/UgL/G/j/Zz0Y6hJK7ud/AbkuwrcxQAAA
+    headers:
+      appserver: [proxy04.fedoraproject.org]
+      apptime: [D=642014]
+      connection: [Keep-Alive]
+      content-encoding: [gzip]
+      content-length: ['4029']
+      content-type: [application/json]
+      date: ['Wed, 22 Mar 2017 22:29:51 GMT']
+      keep-alive: ['timeout=15, max=500']
+      server: [Apache/2.4.6 (Red Hat Enterprise Linux) mod_wsgi/3.4 Python/2.7.5]
+      strict-transport-security: [max-age=15768000; includeSubDomains; preload]
+      vary: [Accept-Encoding]
+    status: {code: 200, message: OK}
+- request:
+    body: null
+    headers:
+      Accept: ['*/*']
+      Accept-Encoding: ['gzip, deflate']
+      Connection: [keep-alive]
+      User-Agent: [python-requests/2.13.0]
+    method: GET
+    uri: https://apps.fedoraproject.org/datagrepper/raw?topic=org.fedoraproject.prod.meetbot.meeting.item.help&delta=864000
+  response:
+    body:
+      string: !!binary |
+        H4sIAAAAAAAAA+2b+4+qypbH/xXj/HJv9rbl6WMn94dGQUXF5lUo0zedgkJBngK2j5v9v88CtR/7
+        9jmTM3MmOZmYdNJUQa1aa7Gq/HwF/9XE+WYfe0lZNH/8q+ni0tukeeBB6z//+b3ppkmJg+TaIl5U
+        4uaPXoejKOqB+t70EtL8QXN9imEYimerrk2e7jMPutc4KrzvzdirhlSjk7R8+dV+1ZdhN8Sbjz1l
+        mgXuh/a+8PJrM82Jlzd/gCuF2/ze/Dw2g0Pw53szTw/FS+blL5cehv/eLEqcl5WzvT7L967Ovk0E
+        djcPa4+kOc7ydOu55QP8Jw+x55VOWtb/g2TzEJRe/OB7UdaE6d7c+lklap+Aef7iRHHxAh9eYq8o
+        rg5Cdr28DNZBlQQIYaZT5UynB5pJZCMQhhqSTd20ZZWSTK0+R5WDkJZ1EyEcKkPVILRNSaxuyoJN
+        RUMVpRyhNM0ys9lz4tCZjMf21gglTTPtgWlKrM1IgicqHdXMBjbFW2oo2UiUChSpUwNJZ0IpMBr+
+        kCRrSzI1aKmjIUl5TlRDG6uGhDRT5gzTR45pn62IFE4siRryFTVC1/NKaph93UF2vtoqU/yYyVoo
+        86utfHCk8GwuffE58UJpocZkgUJZcGlt4KCssEL3CHmE+QRFNYSrNQlmI7i2FvkLJ6S1xZiIJorE
+        QWRr5lKQnhNCZyX4opPR/LRi/SkOpRys567l59h0eXIWBiotSYhanbS4DBBzpM3KqpSNF8vItsR3
+        /54Tc2lOK89hroEi+SISzYNhajah+qa+jBRt5B4MZL9aombqhqBoUsQacSZ7Ji3aZ0FBcR/yjOo8
+        Q94+ZvoxExzJNn8v07+X5+fktzI9iCdnPfb/LdO/l2ewtrQV9fwh0xa9ndM2ayMyJbE2nBuTqYUI
+        N0eZqS79uRPKr7apyQRlJYI8zqksXVE+XCuVzwmKs1A9I2bF0FtPPHbUpXaNXMmRmO2NrbTVR8cM
+        cquRxyysIrMlgghFG8qS+PqI8MaIru/Kc/LrfTGXqJpvbyAF7kQmVDX+scIxJY/wSEsHUTaeL4UA
+        2peaiBXwTUvI1jGiI/Qs5uKxBOvYC5WBk2SCEcoJZqUUMxFUg3tQL+tFUM3+AEeSQBhiY2o+telI
+        giwUz4lr8brDChHkaG4P+qoXyhOd1mYLpEiwFnfYOvouJS3cMBrNKWWAY5khcSktlgLnIn8PPmEz
+        pmeqGT09J/PHbE4MIdCHJJjRxMSxH9qieppRSNLM8miPkIzCaKrHkonFo+YgbawnAmuNItUW58eF
+        YT/hccZqkn+EVS9lCJt2aA6V3SAkmTaUeButziqrvOKhZimhL1tJxCGK7tiUls4RGs0N258y4kk1
+        RFofKfvpmQgrNoKVBTsPC5UhrMw+7C72FnKRaNVeYUq5RolHZGkSoaUhtAVCHaudx9ZRJqsoChRJ
+        SjSTH4CNpT4qrecEj+ZnzGrIEfkB7GGhM5JLlMB9lmSoSmWgPWbYEtPDChHsSuFJ2woYdqfwUsG+
+        pohoZNMSctAjDdYGpe2IR1mRMnl69sW5RXP6SLIs0T5C9Cz4GiKTCBBhOAgj1qTkDhKVgWf1BWSJ
+        BzUWczOMZIzsPeQtIhEyV7xpRqHKFPSMggpg/GRlSTnsmgpY8+HuD2FFTW8rykLqVLWOFhJpzWXJ
+        sNqVUCRpzwlEx+phX/NCpBmmSNW5MtHAE+kJsuiRS2dLZ8T7mohWhimj6/khFuknqAwLH7J6dcHu
+        P4Dd0pqc3NHRntMSp40vFWtE9kBdKqYaX1bMfJlBRSMVZjtcrcEORI+tyhojr4yYV0zDZ5+TQajd
+        dp4D7Dywt2ZLM9G281jh9DgTYOX8sh4UTUOwt4bVHkwKgiSwesTaOeKfEwv5g4t/h6llwMq2qp2I
+        T2ymFJShJNhoclhI/gTTiIXZbE2y9fnoCL4TVoWVpZsla5nyAD7SJlBvSyLDzsjW/m0FtV6LsGtW
+        ++klMsVwTWLoMIsmSZIayhqC2lNEMlDNkLcTEfZqWcZWtIAdSfRzI9Ze52ImGkv71UBRR9VL0R5C
+        hGNBgKoYTmk/Xp0VqEMpN85kScTirIYRB3mbGVs/xVtlYYdaDr5F8hZW01A9P3KrcE7rlL3QKKKv
+        Ys1AdFQahjZZLSUVS+5UZ4UMb+WBGylLWMWCu5WQgqTYOUe2J0omfMrQIeVQmm0uN6f5SDyZQ/Ok
+        i0eoDOHsSNFgxqKVeVb22kiScRLtoaoNtMlWLis86VaJvMe05oGZiSBSbfAbtLD5xz+eE8CioPmj
+        2+sCfBWbiupwWQKpeV6NeBoufZwkQEWAKHq6L30vT15GQICRF9fc4qYkTbwogks4gL5NEMVpDsTS
+        hXMk8vwYJxVIfW+uD14QVzgG2LNdp7lTzcD0oFHEQenDRcBY24MDnXAQ4sh7hcPvzShI9sc4JTXK
+        QTsGBwnM3eGq4yOOgygKUpgERsVhGtUTssCCQR6EMFuFcxscRXhTzcHCVeeUAKZBo1OxmI+D/HOs
+        Zb73PoZyab/5fG1evb62Kr8vh1fPL41PDl66rn5dGu+eVe2LOwmkE4jvPy6E2brSZLMiasDrqPYV
+        klJR4XNznB4aZdrwEuxEXqPMg7iRJo1Tus8buj5skDx49Z6bjUO6j0jD8Rq4sUlT0pBq24053uAz
+        mGoA7gZu5DXrdHvJHvLLdTqVsy74ess5MDDcwpcLGHe7LMcBGP+ssL128YLicLkk6oNF428MRXdb
+        FNuiu3+HoekhqWH8LeQrUVeh0p1erzFJ3DTOIq/0Gn9LIIjSAwyHqP7eGEBSAIsb6bohMR0YuM+r
+        DPllmRU/2u0bd39GcoD09ucUtt8dgjOFmz68d7TozgNFNX/Wy+AlAEnSrE+uuY7XYfp8i/Q9psX1
+        +X6rR5x+i3WZNaQA9xlcOVQEmwSX+6pamoSeSGI5ixT7G2Vm8qAwJ11hNTwN955e2n7q7I5xP1g7
+        1HGd9vbToNPdP034IWV0i+WQm/ZWZ3bvslNGW4Ww7fU8slmUjz1NXlLSoR+b27U/ftT2J9OS8za/
+        6cNnVqaROF13sLVM2mdvPjMm/OQ8DvnFDpgU60+mnsvKSFw+J74522ePR1X3c+7gqkPDNi+bQAEV
+        43ovCY7rEHCJkzSuluvbqVfQL3UZN6mHzgN/LQa4RXH2uSDe7+sf1kk/v991z1333HXPXffcdc9d
+        99x1z133/B/rHrb3te7BBMeHWlI4JVXLCfhP0jIJki2u+9/lAZzchvuL2OCuUoCu0D+INrg+fZMs
+        lUJxQMnsL4fBOU7BhzdJQDPVF8I5MPlFzWQ5fq2/Tqeqr4cTksbVl8iXZuqcyL5i87pR+EE957uc
+        6FRfYgO8F+V1xJGFqU/1iZv+6X6SP9eQL7rkU7S/oYeuMd+EziXaW+sS8LV1jfnauoT9hRh6i/3a
+        vIV/aX7MwLXnLQm3dp2Hr5TVp2xcOm4J+e+EV4v5UnoZvgfyKQ/ra0Cr4LhxwElZVGoMF2ED1GKj
+        YtrGOk/jhp5BJN8bM+wUDX0yKhoQTGMoXhswJEuzfQTI2wCF3ShxFFZWszSoLfq4vNja19fGb9Nm
+        Xpp9Vm00xb6ptusd+qTaOn2G7fS+Vm1Mp/EYZT5uaB4mYLAoGvM38XmTb+9Gr8PekvA/1mUt5l2Z
+        ddprptPClRut/ObG7cJ3vdZp0f0v9ZrLODyFu1SLZcm6xbEu1XI4nm71+6RLMT22R7j+L3rtNW+f
+        HJ7tdcTpYIHOjh0cR+XsyT+UoTHnd+dwZWuyXqjLSWemdaWsre3PtKpn5GnuG4/J9nXxLV2ZZBPP
+        2sZzIvoMt81Nb6x29M1JCaRw1Mk1f3/U16zH6lyZP27G3FlbPrmP6/z1m7B4jdhHmeu3g9WjOHZe
+        5c0TCsWnjddRn5PJLqes5d4WC2Vi5bPdjnn80/TarRTueu2u1+567a7X7nrtrtfueu2u1/7Ceo3t
+        8F/rNQEfa7QHdTOIcIV1oKUW+mSOi6JiIBBZAOy3qwCR3eOuvsb3AhJU7wHBFX56wDlZ1+evxy91
+        I9wXRYz3Ua2xALXL3d7zkpdNkIDi4S5y5+XlpZ5+t8cVjYKuzP30BHBePe/KsyC8vGxUlGnina6c
+        fmm81JeUGORJmtZOlcVFzp3CsLZ/E2zcJ8F2c/362OnNx5veuUz0hbxJi4IBGfXqfSlsPqmJXvdN
+        TVwNflITPM3wzNfPgJ4Wui42JtrgpiEa9APz8THQm7nrgCtl/hEV8RbIu37g2hn0ei9B7r7cXIKJ
+        35UD16K7XyoHeu3SVLfTbXW7vW6L4z0MogGEhOtixnU9B/Yo9tcnPZ4pvG53q62VFmmP2hjr8QiK
+        sjBXrlSMwpNAZcnY8LXhCr0m6UFZxm1xFIzDLa/Y50QXYC0JMaNsHI3MKlzQJuu+mfnywtsfFHq1
+        Qhw1CPXS6Di60acmtOmJuSPFEnZnOnwMcRtNDHrrpODVufvo+fnWG/PdpaN1YTnFUziHR2tWpXgS
+        oy3n/HlPem63/a4c7srhrhzuyuGuHO7K4a4c7srhL6wcmN96w41g6GOrd9KcNPdw0mdreN/6+BB6
+        xSHN61fTqmc8ZUXQ+aWRBOU5xn5aEXP1htmN0D+/UVbbvj4tebd+7fg0wbXvNsXt4cj7JP+O8Tgp
+        Aifyfvf9sE8sX736dmX5D5Y/8TzH0xzV/ZLnrSAh6aFoWGleP5sYVT/d+MDzn01eBzEPbAO4sdwX
+        fwDrfwnsI9sfLk68HC5OvNS/H/nI9tUvTb5gewZ7NMNRVIvDBNged9hWz8Nsq++wfZrvMlSf8n5h
+        ey1ty+UisGcRfGzulrLgLM+r8zRPrJ1D0eWw35dOy8zfzTr9eTH1DZbeMecymrO0L8ehM3NLJ1/a
+        e1NTFADIuBxOccIMVsg+zfiD7im6k3Lf6MErZZHFkTqGwlE++RHvPbb9bwdX2aXl8PxaJv2eeVIP
+        grNaB5yszrDhA7qQ0nHCuQYf0c7To2O3T576p7H9rQTubH9n+zvb39n+zvZ3tr+z/Z3t/9JsT/8O
+        2/c+wXf3V/LmP2A3/5m5qx+n/EXB/hCUfiNIgNuiCIiuAWD8EhdB4/VyWAHa3i0/4j/ff38v6M3l
+        X+CfYlnq/x/8O13i9TyPaXksR7c41um1+nyPaZEe3ffWDM0zNPkF/jfWjon26gIJq+loKz6hozfv
+        zzrdM9q22wrdeypnu15/GZ/NV3k86QfK+aiY8WLiFMPBU5lLcjah5faaM/vF/DkpltLTGC3XyrfA
+        BCCa6GI2XK06M18Z7qa6ZGPZ7rgc2RxO1lN7eMrMjsK12USmI6W9O7Jlu70lidvbnYIjrK95L933
+        nSCW96MsNBmrJxR/IvxfSuB/A///rAZDXULJ/fwvxci8aTFAAAA=
+    headers:
+      appserver: [proxy06.fedoraproject.org]
+      apptime: [D=442751]
+      connection: [Keep-Alive]
+      content-encoding: [gzip]
+      content-length: ['4028']
+      content-type: [application/json]
+      date: ['Wed, 22 Mar 2017 22:34:13 GMT']
+      keep-alive: ['timeout=15, max=500']
+      server: [Apache/2.4.6 (Red Hat Enterprise Linux) mod_wsgi/3.4 Python/2.7.5]
+      strict-transport-security: [max-age=15768000; includeSubDomains; preload]
+      vary: [Accept-Encoding]
+    status: {code: 200, message: OK}
+version: 1
diff --git a/hubs/widgets/halp/__init__.py b/hubs/widgets/halp/__init__.py
index 474fc83..47b47fb 100644
--- a/hubs/widgets/halp/__init__.py
+++ b/hubs/widgets/halp/__init__.py
@@ -10,6 +10,13 @@ from .views import add_view, hubs_suggest_view
 
 
 class Halp(Widget):
+    """Widget to list and query help requests.
+
+    In IRC channels, people can request help using the #halp keyword.
+    This widget will list those requests and allow searching through them.
+
+    See https://pagure.io/fedora-hubs/issue/98
+    """
 
     name = "halp"
     label = "Help Requests"
diff --git a/hubs/widgets/halp/functions.py b/hubs/widgets/halp/functions.py
index 0c30728..89cf0df 100644
--- a/hubs/widgets/halp/functions.py
+++ b/hubs/widgets/halp/functions.py
@@ -2,13 +2,13 @@ from __future__ import unicode_literals, absolute_import
 
 
 import datetime
-import flask
-import fedmsg.meta
-import re
 import logging
-import requests
+import re
 import time
 
+import flask
+import fedmsg.meta
+import requests
 from jinja2.utils import urlize
 
 from hubs.widgets.caching import CachedFunction
@@ -19,6 +19,11 @@ log = logging.getLogger('hubs.widgets')
 
 
 class GetRequests(CachedFunction):
+    """Get the help requests from Datagrepper.
+
+    This function will request recent help requests from datagrepper and cache
+    them.
+    """
 
     TOPIC = "org.fedoraproject.prod.meetbot.meeting.item.help"
 
@@ -29,7 +34,6 @@ class GetRequests(CachedFunction):
         args = {
             "topic": self.TOPIC,
             "delta": str(86400 * 10),  # 10 days
-            # "rows_per_page": per_page,
         }
         log.info("Getting request data from Datagrepper")
         response = requests.get(url, args)
@@ -48,6 +52,10 @@ class GetRequests(CachedFunction):
 
 
 def _format_message(raw_message):
+    """
+    Format a raw Fedmsg message dict into a dict that the Halp widget will be
+    able to use more directly.
+    """
     msg = {
         "date": raw_message["msg"]["details"]["time_"],
         "channel": raw_message["msg"]["channel"],
